### Signal

# Atk Text::text-changed

deprecated: 2.9.4

#### Declaration

    void
    text_changed (
      AtkText* self,
      gint arg1,
      gint arg2,
      gpointer user_data
    )

#### Description [src]

The “text-changed” signal is emitted when the text of the object which implements the AtkText interface changes, This signal will have a detail which is either “insert” or “delete” which identifies whether the text change was an insertion or a deletion.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed
Deprecated since: 2.9.4
Use `AtkObject::text-insert` or `AtkObject::text-remove` instead.

#### Parameters

`arg1`

  Type: `gint`

  The position (character offset) of the insertion or deletion.

`arg2`

  Type: `gint`

  The length (in characters) of text inserted or deleted.